// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*UserEditDefault An unexpected error response

swagger:response userEditDefault
*/
type UserEditDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserEditDefault creates UserEditDefault with default headers values
func NewUserEditDefault(code int) *UserEditDefault {
	if code <= 0 {
		code = 500
	}

	return &UserEditDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user edit default response
func (o *UserEditDefault) WithStatusCode(code int) *UserEditDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user edit default response
func (o *UserEditDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user edit default response
func (o *UserEditDefault) WithPayload(payload *models.Error) *UserEditDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user edit default response
func (o *UserEditDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserEditDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
